LinHES - Bug # 555: Publish LinHES abs files

Status: Rejected Priority: Normal
Author: alien Category:

Created: 10/20/2009 Assignee:

Updated: 03/22/2010 Due date:

Description: Purpose:

To allow users to install additional packages without raising a feature request.

Problem:

Arch abs files have become out of sync with LinHES packages. This results in a lot of guessing and
trial-and-error to try and manually resolve dependencies.

Possible Solution:
The abs files are only about 50M. If a snapshot is taken the next time LinHES is synced with arch linux (I'm
not sure of the development philosophy, but | assume that at some point LinHES will be "upgraded"), this can

be published on the servers and the default /etc/abs.conf changed to point to them.

Maybe someone has a fairly accurate abs package-list set that can be published now? | unfortunately
recently did an abs sync that made mine pretty much unusable.

History

03/21/2010 07:02 pm - jams
- Status changed from New to Rejected

03/22/2010 03:57 am - alien

Any reason why this is rejected? It seems rather disappointing that only devs have access to the package lists and can test new software without
compiling from scratch.

| understand the "appliance" philosophy, but taking away the ability for normal users to test improvements goes a little bit against open source....
03/22/2010 08:43 am - nharris

This might be what you are looking for:

http://linhes.org/cgit/cgit.cgi/LinHES-PKGBUILD/tree/abs

03/22/2010 08:57 am - cecil
Allow public acess to GIT has been on the table from the beginning. One day (hopefully sooner rather than later), you'll be able to do so.

03/22/2010 09:32 am - alien
Thanks for the update Cecil and nharris.

Correct me if I'm wrong, but both of those will only give packages that have been added by the devs.

I'm looking for a way to get packages that are in arch, but haven't yet been added to LinHES.

For example, | just messed up the ID3 tags on a bunch of imported music. The easytag package fixes that quickly, but without the abs files for

easytag, | can't easily install it.

What | was suggesting is to grab the abs files from Arch when LinHES "clones" the Arch tree. Right now, arch is ahead of LinHES and the abs files are
too "new".
